Bug 17668 - Consider not listening on telnet port in default install
Summary: Consider not listening on telnet port in default install
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: telnet   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-18 23:06 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-03 00:02:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 2000-09-18 23:06:40 UTC
Hi,

With RH7.0, OpenSSH is installed and listens to the network on a full,
default install.

Since sshd and telnetd are doing very similar things, maybe telnetd should
not be listening to the network on a full, default install (because telnetd
is the unencrypted less secure service).

One root process listening on the network is better than two....

This might be a useful thing to do in the RH7.1 timeframe or so.

Cheers
Chris

Comment 1 Chris Evans 2000-09-18 23:16:35 UTC
Oh - same goes for "rshd", "rlogind" of course.
The more listening ports we can kill (or de-priv) in the default install, the
better...
Also, the more we encourage ssh usage over unencrypted protocols, the better...

Comment 2 Chris Evans 2001-01-03 00:02:15 UTC
I happily notice that RH7.1 beta1 does not have any of telnet, rsh, rlogin
listening. It just has SSH, a worthy replacement :)

Is this intentional and going to remain for RH7.1 final?

If so, we can close this bug as fixed.

Comment 3 Bill Nottingham 2001-02-07 08:07:30 UTC
Yup, it's intentional.


Note You need to log in before you can comment on or make changes to this bug.